Skip to content

Get checks

Request

Get a set of checks

Security
get-bearer-token-using-oauth2
Query
limitinteger, [ 0 .. 999999 ]

limit the number of records returned

Default:10
skipinteger, [ 0 .. 999999 ]

skip a number of records before returning (for paging)

Default:0
include[]Array of strings

Request optional response fields. Repeat the parameter for multiple values.

Items Enum ValueDescription
profile

Embeds the full profile object in place of profile_id.

results_found

Returns results_found (boolean) instead of the full results array.

Examples:
Single value
include[]=["profile"]
Single value
include[]=["results_found"]
Multiple values
include[]=["profile","results_found"]
GET
/checks
curl -i -X GET \
  'https://api.checkrtrust.com/v1/checks?limit=10&skip=0&include%5B%5D=profile' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
Array [
One of:
]
Response
[ { "profile_id": "2b8313e8-4efd-45a1-b578-952b8313e890" } ]